import request from '@/config/axios'

export interface MemberRemarkVO {
  id: number
  memberId: number
  nickName: string
  remark: string
}

// 查询会员标记列表
export const getMemberRemarkPage = async (params) => {
  return await request.get({ url: `/message/member-remark/page`, params })
}

// 查询会员标记详情
export const getMemberRemark = async (id: number) => {
  return await request.get({ url: `/message/member-remark/get?id=` + id })
}

// 新增会员标记
export const createMemberRemark = async (data: MemberRemarkVO) => {
  return await request.post({ url: `/message/member-remark/create`, data })
}

// 修改会员标记
export const updateMemberRemark = async (data: MemberRemarkVO) => {
  return await request.put({ url: `/message/member-remark/update`, data })
}

// 删除会员标记
export const deleteMemberRemark = async (id: number) => {
  return await request.delete({ url: `/message/member-remark/delete?id=` + id })
}

// 导出会员标记 Excel
export const exportMemberRemark = async (params) => {
  return await request.download({ url: `/message/member-remark/export-excel`, params })
}
